import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';
import { LoginPage } from './login/login.page';


const routes: Routes = [

  {
    path: 'login',
    component: LoginPage
  },
  {
    path: 'tabs',
    loadChildren: () => import('./tabs/tabs.module').then(m => m.TabsPageModule)
  },
  {
    path: 'tabsUser',
    loadChildren: () => import('./tabs-user/tabs-user.module').then(m => m.TabsUserPageModule)
  },
  {
    path: 'view-evento',
    loadChildren: () => import('./view-evento/view-evento.module').then( m => m.ViewEventoPageModule)
  },
  {
    path: 'galeriamodal',
    loadChildren: () => import('./galeriamodal/galeriamodal.module').then( m => m.GaleriamodalPageModule)
  },
  {
    path:'',
    redirectTo: 'login',
    pathMatch: 'full'
  },
  {
    path: 'tabs-user',
    loadChildren: () => import('./tabs-user/tabs-user.module').then( m => m.TabsUserPageModule)
  },




 
];
@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule {}
