import { FullscreenOverlayContainer } from '@angular/cdk/overlay';
import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { TabsUserPage } from './tabs-user.page';

const routes: Routes = [
  {
    path: '',
    component: TabsUserPage,
    children: [
      {
        path: 'tab2',
        loadChildren: ()=> import('../tab2/tab2.module').then(m=>m.Tab2PageModule),
      },

      {
        path: 'tab3',
        loadChildren: ()=> import('../tab3/tab3.module').then(m=>m.Tab3PageModule),
      },

      {
        path:'',
        redirectTo: 'tab2',
        pathMatch: 'full'
      }
    ]
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class TabsUserPageRoutingModule {}
